Package org.apache.sysds.hops.fedplanner

# Class FederatedMemoTable.HopCommon

java.lang.Object
org.apache.sysds.hops.fedplanner.FederatedMemoTable.HopCommon

Enclosing class:
  FederatedMemoTable

public static class FederatedMemoTable.HopCommon extends Object
Represents common properties and costs associated with a Hop. This class holds a reference to the Hop and tracks its execution and network forwarding (transfer) costs. It also maintains the loop context information to properly calculate forwarding costs within loops.

## Constructor Summary

Constructors
Constructor
Description
`HopCommon(Hop hopRef, double computeWeight, double networkWeight, int numOfParents, List<org.apache.commons.lang3.tuple.Pair<Long,Double>> loopContext)`

## Method Summary

Modifier and Type
Method
Description
`double`
`getChildForwardingWeight(List<org.apache.commons.lang3.tuple.Pair<Long,Double>> childLoopContext)`
`double`
`getComputeWeight()`
`double`
`getForwardingCost()`
`Hop`
`getHopRef()`
`List<org.apache.commons.lang3.tuple.Pair<Long,Double>>`
`getLoopContext()`
`double`
`getNetworkWeight()`
`int`
`getNumOfParents()`
`double`
`getSelfCost()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HopCommon

public HopCommon(Hop hopRef, double computeWeight, double networkWeight, int numOfParents, List<org.apache.commons.lang3.tuple.Pair<Long,Double>> loopContext)

## Method Details

### getHopRef

public Hop getHopRef()

### getSelfCost

public double getSelfCost()

### getForwardingCost

public double getForwardingCost()

### getComputeWeight

public double getComputeWeight()

### getNetworkWeight

public double getNetworkWeight()

### getNumOfParents

public int getNumOfParents()

### getLoopContext

public List<org.apache.commons.lang3.tuple.Pair<Long,Double>> getLoopContext()

### getChildForwardingWeight

public double getChildForwardingWeight(List<org.apache.commons.lang3.tuple.Pair<Long,Double>> childLoopContext)